## silx 0.6.1+dfsg

=== requirements.txt ===
# List all dependencies of silx
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PyQt4,PyQt5,PySide

numpy >= 1.8
fabio >= 0.4              # For silx.io
h5py                      # For silx.io
pyopencl                  # For silx.opencl
Mako                      # For pyopencl reduction
ipython                   # For silx.gui.console
qtconsole                 # For silx.gui.console
matplotlib >= 1.2.0       # For silx.gui.plot
PyOpenGL                  # For silx.gui.plot3d
# PyQt4, PyQt5 or PySide  # For silx.gui
# scipy                   # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test

# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PyQt4; sys_platform == 'win32' and python_version == '2.7'  # From silx.org
PyQt4; sys_platform == 'darwin' and python_version == '2.7'  # From silx.org

# Require scipy when wheel is available
scipy; sys_platform != 'win32'

## silx 0.3.0~adev0

=== debian/changelog ===
silx (0.3.0~adev0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * silx snapshot 0.3.0-dev0 built for debian 8

 -- edna tester <tester@edna-site.org>  Wed, 12 Oct 2016 02:26:36 +0200

silx (0.3.0~adev0-1) UNRELEASED; urgency=medium

  * upstream development build of silx 0.3.0-dev0

 -- edna tester <tester@edna-site.org>  Wed, 12 Oct 2016 02:26:36 +0200

silx (0.1.0-1) unstable; urgency=low

  * debian/control
    - Comment -dbg packages
  * Upstream version 0.1.0

 -- Thomas Vincent <thomas.vincent@esrf.fr>  Thu, 14 Apr 2016 09:35:28 +0200

silx (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #??????)

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Tue, 15 Mar 2016 11:00:20 +0100

=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython3,
               debhelper,
               dh-python,
               python-all-dev,
               python-h5py,
               python-matplotlib,
               python-numpy,
               python-pyqt5,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python3-all-dev,
               python3-h5py,
               python3-matplotlib,
               python3-numpy,
               python3-pyqt5,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/silx.git
Homepage:  https://github.com/silex-kit/silx
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

# Commented *-dbg Build-Depends of Source: silx
#               cython-dbg,
#               cython3-dbg,
#               python-all-dbg,
#               python-matplotlib-dbg,
#               python-numpy-dbg,
#               python-pyqt5-dbg,
#               python3-all-dbg,
#               python3-matplotlib-dbg,
#               python3-numpy-dbg,
#               python3-pyqt5-dbg,

#Package: silx
#Architecture: all
#Depends: ${misc:Depends},
#         ${python:Depends},
#         ${shlibs:Depends},
#         python3-silx (>= ${source:Version})
#Description: Toolbox for X-Ray data analysis - Executables

Package: python-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-numpy,
         python-h5py,
         python-pyqt5,
         python-matplotlib
Recommends: python-scipy,
Suggests: python-rfoo
Description: Toolbox for X-Ray data analysis - Python2 library
 .
 This is the Python 2 version of the package.

#Package: python-silx-dbg
#Architecture: any
#Section: debug
#Depends: ${misc:Depends},
#         ${python:Depends},
#         ${shlibs:Depends},
#         python-silx (= ${binary:Version}),
#Recommends: python-dbg,
#            python-numpy-dbg,
#            python-pyqt5-dbg,
#            python-matplotlib-dbg
#Suggests: python-scipy.dbg
#Description: Toolbox for X-Ray data analysis - python2 debug
# .
# This package contains the extension built for the Python 2 debug
# interpreter.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy,
         python3-h5py,
         python3-pyqt5,
         python3-matplotlib
Recommends: python3-scipy,
#Suggests: python3-rfoo
Description: Toolbox for X-Ray data analysis - Python3
 .
 This is the Python 3 version of the package.

#Package: python3-silx-dbg
#Architecture: any
#Section: debug
#Depends: ${misc:Depends},
#         ${python3:Depends},
#         ${shlibs:Depends},
#         python3-silx (= ${binary:Version}),
#Recommends: python3-dbg,
#            python3-numpy-dbg,
#            python3-pyqt5-dbg,
#            python3-matplotlib-dbg
#Description: Toolbox for X-Ray data analysis - Python3 debug
# .
# This package contains the extension built for the Python 3 debug
# interpreter.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=silx

# Make does not offer a recursive wildcard function, so here's one:
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))

# How to recursively find all files with the same name in a given folder
ALL_PYX := $(call rwildcard,silx/,*.pyx)
#NOTA: No space before *

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
	rm -rf build/html
	rm -rf *.egg-info

override_dh_auto_build:
	dh_auto_build
	python setup.py build build_doc

override_dh_install:
	dh_numpy
	dh_numpy3
	dh_install

override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} WITH_QT_TEST=False {interpreter} run_tests.py"

#override_dh_installman:
#	dh_installman -p silx doc/*.1

override_dh_installdocs:
	dh_installdocs "build/sphinx/html" -p python-silx-doc
	dh_installdocs

## silx 0.4.0

=== debian/changelog ===
silx (0.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * silx snapshot 0.4.0 built for debian 8

 -- Henri PAYNO <henri.payno@esrf.fr>  Tue, 31 Jan 2017 11:38:24 +0100

silx (0.4.0-1) UNRELEASED; urgency=medium

  * upstream development build of silx 0.4.0

 -- Henri PAYNO <henri.payno@esrf.fr>  Tue, 31 Jan 2017 11:38:24 +0100

silx (0.3.0-1) unstable; urgency=low

  * debian/control
    - Add missing dependencies
    - Add -dbg packages
  * Upstream version 0.4.0a

 -- Thomas Vincent <tvincent@edna-site.org>  Mon, 23 Jan 2017 17:09:20 +0100

=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               libstdc++6-4.9-dbg,
               libstdc++-4.9-dev,
               libstdc++6,
               debhelper (>=9.20150101+deb8u2),
               dh-python,
               python-all-dev,
               python-all-dbg,
               python-numpy,
               python-numpy-dbg,
               python-fabio,
               python-fabio-dbg,
               python-h5py,
               python-h5py-dbg,
               python-pyopencl,
               python-pyopencl-dbg,
               python-mako,
               ipython,
               ipython-qtconsole,
               python-matplotlib,
               python-matplotlib-dbg,
               python-opengl,
               python-pyqt5,
               python-pyqt5-dbg,
               python-pyqt5.qtopengl,
               python-pyqt5.qtopengl-dbg,
               python-scipy,
               python-scipy-dbg,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python3-all-dev,
               python3-all-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-fabio,
               python3-fabio-dbg,
               python3-h5py,
               python3-h5py-dbg,
               python3-pyopencl,
               python3-pyopencl-dbg,
               python3-mako,
               ipython3,
               ipython3-qtconsole,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-opengl,
               python3-pyqt5,
               python3-pyqt5-dbg,
               python3-pyqt5.qtopengl,
               python3-pyqt5.qtopengl-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/silx.git
Homepage: https://github.com/silx-kit/silx
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

#Package: silx
#Architecture: all
#Depends: ${misc:Depends},
#         ${python:Depends},
#         ${shlibs:Depends},
#         python3-silx (>= ${source:Version})
#Description: Toolbox for X-Ray data analysis - Executables

Package: python-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         libstdc++6,
         python-numpy,
         python-fabio,
         python-h5py,
         python-pyopencl,
         python-mako,
         ipython,
         ipython-qtconsole,
         python-matplotlib,
         python-opengl,
         python-pyqt5,
         python-pyqt5.qtopengl,
         python-scipy,
# Recommends:
Suggests: python-rfoo
Description: Toolbox for X-Ray data analysis - Python2 library
 .
 This is the Python 2 version of the package.

Package: python-silx-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-silx (= ${binary:Version}),
         libstdc++6-4.9-dbg,
         python-dbg,
         python-numpy-dbg,
         python-fabio-dbg,
         python-h5py-dbg,
         python-pyopencl-dbg,
         python-mako,
         ipython,
         ipython-qtconsole,
         python-matplotlib-dbg,
         python-opengl,
         python-pyqt5-dbg,
         python-pyqt5.qtopengl-dbg,
         python-scipy-dbg,
Description: Toolbox for X-Ray data analysis - python2 debug
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libstdc++6,
         python3-numpy,
         python3-fabio,
         python3-h5py,
         python3-pyopencl,
         python3-mako,
         ipython3,
         ipython3-qtconsole,
         python3-matplotlib,
         python3-opengl,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-scipy,
# Recommends:
# Suggests: python3-rfoo
Description: Toolbox for X-Ray data analysis - Python3
 .
 This is the Python 3 version of the package.

Package: python3-silx-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-silx (= ${binary:Version}),
         libstdc++6-4.9-dbg,
         python3-dbg,
         python3-numpy-dbg,
         python3-fabio-dbg,
         python3-h5py-dbg,
         python3-pyopencl-dbg,
         python3-mako,
         ipython3,
         ipython3-qtconsole,
         python3-matplotlib-dbg,
         python3-opengl,
         python3-pyqt5-dbg,
         python3-pyqt5.qtopengl-dbg,
         python3-scipy-dbg,
Description: Toolbox for X-Ray data analysis - Python3 debug
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,15 @@
 override_dh_install:
 	dh_numpy
 	dh_numpy3
+
+	# remove all py/pyc/egg-info files from dbg packages
+	find debian/python-silx-dbg/usr -type f \( -not -name "*.so" \) -delete
+	find debian/python3-silx-dbg/usr -type f \( -not -name "*.so" \) -delete
+
 	dh_install
 
 override_dh_auto_test:
-	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} WITH_QT_TEST=False {interpreter} run_tests.py"
+	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} WITH_QT_TEST=False {interpreter} run_tests.py -i"
 
 #override_dh_installman:
 #	dh_installman -p silx doc/*.1

## silx 0.6.0+dfsg

=== debian/changelog ===
silx (0.6.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 15 Oct 2017 08:25:17 +0200

silx (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg
  * d/patches
    - 0001-fix-the-build_man-target.patch (deleted)
    - 0004-test-unactive-ressource-for-now.patch (deleted)
    - 0005-fix-the-sift-removal.patch (deleted)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 07 Oct 2017 08:08:56 +0200

silx (0.5.0+dfsg-2) unstable; urgency=medium

  * d/control
    - Added all the -dbg dependencies for the -dbg packages.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Sep 2017 15:10:44 +0200

silx (0.5.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #871637)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2017 11:00:20 +0100

=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython (>= 0.23.2),
               cython-dbg (>= 0.23.2),
               cython3 (>= 0.23.2),
               cython3-dbg (>= 0.23.2),
               debhelper (>= 10),
               dh-python,
               help2man,
               ipython,
               ipython-qtconsole,
               ipython3,
               ipython3-qtconsole,
               python-all-dbg,
               python-all-dev,
               python-enum34,
               python-fabio,
               python-fabio-dbg,
               python-h5py,
               python-h5py-dbg,
               python-lxml,
               python-lxml-dbg,
               python-mako,
               python-matplotlib,
               python-matplotlib-dbg,
               python-numpy,
               python-numpy-dbg,
               python-opengl,
               python-pil,
               python-pil-dbg,
               python-pyopencl,
               python-pyopencl-dbg,
               python-pyqt5,
               python-pyqt5-dbg,
               python-pyqt5.qtopengl,
               python-pyqt5.qtopengl-dbg,
               python-pyqt5.qtsvg,
               python-pyqt5.qtsvg-dbg,
               python-scipy,
               python-scipy-dbg,
               python-setuptools,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python3-all-dbg,
               python3-all-dev,
               python3-fabio,
               python3-fabio-dbg,
               python3-h5py,
               python3-h5py-dbg,
               python3-mako,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-opengl,
               python3-pil,
               python3-pil-dbg,
               python3-pyopencl,
               python3-pyopencl-dbg,
               python3-pyqt5-dbg,
               python3-pyqt5.qtopengl,
               python3-pyqt5.qtopengl-dbg,
               python3-pyqt5.qtsvg,
               python3-pyqt5.qtsvg-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
               xauth,
               xvfb
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/silx.git
Homepage: https://github.com/silx-kit/silx
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4

Package: silx
Architecture: all
Depends: python3-silx (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Executables
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This uses the Python 3 version of the package.

Package: python-silx
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python2 library
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 2 version of the package.

Package: python-silx-dbg
Architecture: any
Section: debug
Depends: python-fabio-dbg,
         python-h5py-dbg,
         python-lxml-dbg,
         python-matplotlib-dbg,
         python-numpy-dbg,
         python-pil-dbg,
         python-pyopencl-dbg,
         python-pyqt5-dbg,
         python-pyqt5.qtopengl-dbg,
         python-pyqt5.qtsvg-dbg,
         python-scipy-dbg,
         python-silx (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python2 debug
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 2 debug version of the package.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python3
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 3 version of the package.

Package: python3-silx-dbg
Architecture: any
Section: debug
Depends: python3-fabio-dbg,
         python3-h5py-dbg,
         python3-lxml-dbg,
         python3-matplotlib-dbg,
         python3-numpy-dbg,
         python3-pil-dbg,
         python3-pyopencl-dbg,
         python3-pyqt5-dbg,
         python3-pyqt5.qtopengl-dbg,
         python3-pyqt5.qtsvg-dbg,
         python3-scipy-dbg,
         python3-silx (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python3 debug
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 3 debug version of the package.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/a/silx/ \
 silx-(.+)\.tar\.gz debian uupdate

## silx 0.6.1%2Bdfsg

=== debian/changelog ===
silx (0.6.1+dfsg-2) unstable; urgency=medium

  * d/control
    - Bump Standrad-Version 4.1.1 (nothing to do)
  * fixed glibc 2.26 FTBFS with upstream patch glib2.26 (Closes: #882881)
  * d/patches
    + 0005-slocale.h-is-removed-in-GLIBC-2.26.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jan 2018 09:32:38 +0100

silx (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.1+dfsg
  * update watch file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 25 Nov 2017 17:02:19 +0100

## silx 0.6.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
                python3-sphinxcontrib.programoutput,
                xauth,
                xvfb
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/silx.git
 Homepage: https://github.com/silx-kit/silx

=== debian/rules ===
#!/usr/bin/make -f

# when activated do not forget to remove the
# python[3]-hdf5-dbg Build-Depends
JESSIE_BACKPORTS ?= 0

ifeq ($(JESSIE_BACKPORTS), 0)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
else
export PYBUILD_DISABLE_python2-dbg=test
export PYBUILD_DISABLE_python3-dbg=test
endif

export POCL_CACHE_DIR=$(CURDIR)/.cache/
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export PYBUILD_NAME=silx
export SPECFILE_USE_GNU_SOURCE=1

# Make does not offer a recursive wildcard function, so here's one:
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))

# How to recursively find all files with the same name in a given folder
ALL_PYX := $(call rwildcard,silx/,*.pyx)
#NOTA: No space before *

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
	rm -rf build/html build/man
	rm -rf *.egg-info
	rm -rf $(POCL_CACHE_DIR)

override_dh_auto_build:
	python setup.py build build_man
	dh_auto_build

override_dh_install:
	dh_numpy
	dh_numpy3

	# install scripts into silx
	python3 setup.py install_scripts -d debian/silx/usr/bin

	# install the qtdesigner files only for the python3 package
	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/qt4/plugins/designer/python

	dh_install

# WITH_QT_TEST=False to disable graphical tests
# SILX_OPENCL=False to disable OpenCL tests
# SILX_TEST_LOW_MEM=True to disable tests taking large amount of memory
# GPU=False to disable the use of a GPU with OpenCL test
# WITH_GL_TEST=False to disable tests using OpenGL
# UNACTIVATED UNTIL dh_python from UNSTABLE IS FIXED
# https://lists.debian.org/debian-python/2017/08/msg00095.html
override_dh_auto_test:
ifeq ($(JESSIE_BACKPORTS), 0)
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} GPU=False SILX_OPENCL=False SILX_TEST_LAW_MEM=True xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} run_tests.py -v"
endif

override_dh_installman:
	dh_installman -p silx build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	python setup.py build build_doc
	dh_installdocs "build/sphinx/html" -p python-silx-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/s/@PACKAGE@/ \
 @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## silx 0.7.0+dfsg

=== requirements.txt ===
# List all dependencies of silx
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PyQt4,PyQt5,PySide

numpy >= 1.8
scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
fabio >= 0.6              # For silx.io
h5py                      # For silx.io
pyopencl                  # For silx.opencl
Mako                      # For pyopencl reduction
ipython                   # For silx.gui.console
qtconsole                 # For silx.gui.console
matplotlib >= 1.2.0       # For silx.gui.plot
PyOpenGL                  # For silx.gui.plot3d
Pillow                    # for silx.opencl.image.test

# PyQt4, PyQt5 or PySide  # For silx.gui
# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PyQt4; sys_platform == 'win32' and python_version == '2.7'  # From silx.org
PyQt4; sys_platform == 'darwin' and python_version == '2.7'  # From silx.org

=== debian/changelog ===
silx (0.7.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 24 Mar 2018 09:18:23 +0100

silx (0.7.0+dfsg-2) unstable; urgency=medium

  * d/rules
    - use py3versions to get the python3 default interpreter version.
      This makes the package backportable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Mar 2018 20:04:20 +0100

silx (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0+dfsg
  * Bumped Strandards-Versions to 4.1.3 (nothing to do)
  * d/control
    - Build-Depends
     + Added python[3]-nbsphinx, python-concurrent.futures
  * d/copyright
    remove the third_party _local files.
  * d/patches
     + 0003-do-not-modify-PYTHONPATH-from-setup.py.patch (added)
     - 0005-slocale.h-is-removed-in-GLIBC-2.26.patch (obsolete)
     - 0006-prefer-pyqt5-over-pyside.patch (obsolete)
  * d/rules
    - removed the jessie backports specific code
    - compile extensions only once per interpreter.
    - unactive for now the build time tests.
    - build the doc only with python3.
  * d/watch
    - check the pgp signature

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Mar 2018 07:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                ipython3-qtconsole,
                python-all-dbg,
                python-all-dev,
+               python-concurrent.futures,
                python-enum34,
                python-fabio,
                python-fabio-dbg,
@@ -27,6 +28,7 @@
                python-mako,
                python-matplotlib,
                python-matplotlib-dbg,
+               python-nbsphinx <!nodoc>,
                python-numpy,
                python-numpy-dbg,
                python-opengl,
@@ -54,6 +56,7 @@
                python3-mako,
                python3-matplotlib,
                python3-matplotlib-dbg,
+               python3-nbsphinx <!nodoc>,
                python3-numpy,
                python3-numpy-dbg,
                python3-opengl,
@@ -73,9 +76,9 @@
                python3-sphinxcontrib.programoutput,
                xauth,
                xvfb
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/silx.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/silx.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/silx
+Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export POCL_CACHE_DIR=$(CURDIR)/.cache/
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export PYBUILD_NAME=silx
export SPECFILE_USE_GNU_SOURCE=1

# Make does not offer a recursive wildcard function, so here's one:
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))

# How to recursively find all files with the same name in a given folder
ALL_PYX := $(call rwildcard,silx/,*.pyx)
#NOTA: No space before *

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	rm -rf $(POCL_CACHE_DIR)

override_dh_auto_build:
	dh_auto_build
	# build man pages
	dh_auto_build -- -s custom --build-args="env PYTHONPATH={build_dir} {interpreter} setup.py build_man"

override_dh_install:
	dh_numpy
	dh_numpy3

	# install scripts into silx
	python3 setup.py install_scripts -d debian/silx/usr/bin
	dh_install -p silx package/desktop/*.desktop usr/share/applications
	dh_install -p silx package/desktop/silx.png usr/share/icons/hicolor/48x48/apps
	dh_install -p silx package/desktop/silx.svg usr/share/icons/hicolor/scalable/apps
	dh_install -p silx package/desktop/silx.xml usr/share/mime/packages

	# install the qtdesigner files only for the python3 package
	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/qt4/plugins/designer/python

	dh_install

# WITH_QT_TEST=False to disable graphical tests
# SILX_OPENCL=False to disable OpenCL tests
# SILX_TEST_LOW_MEM=True to disable tests taking large amount of memory
# GPU=False to disable the use of a GPU with OpenCL test
# WITH_GL_TEST=False to disable tests using OpenGL
# UNACTIVATED UNTIL dh_python from UNSTABLE IS FIXED
# https://lists.debian.org/debian-python/2017/08/msg00095.html
override_dh_auto_test:
#	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
#	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} GPU=False SILX_OPENCL=False SILX_TEST_LAW_MEM=True xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} run_tests.py -vv --installed"

override_dh_installman:
	dh_installman -p silx build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
	dh_installdocs "doc/build/html" -p python-silx-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## silx 0.8.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 
 numpy >= 1.8
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
-fabio >= 0.6              # For silx.io
+fabio >= 0.7              # For silx.io
 h5py                      # For silx.io
 pyopencl                  # For silx.opencl
 Mako                      # For pyopencl reduction
-ipython                   # For silx.gui.console
 qtconsole                 # For silx.gui.console
 matplotlib >= 1.2.0       # For silx.gui.plot
 PyOpenGL                  # For silx.gui.plot3d
-Pillow                    # for silx.opencl.image.test
+Pillow                    # For silx.opencl.image.test
+python-dateutil           # For silx.gui.plot
 
 # PyQt4, PyQt5 or PySide  # For silx.gui
 # Try to install a Qt binding from a wheel

=== debian/changelog ===
silx (0.8.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 08 Aug 2018 14:18:01 +0200

silx (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.0+dfsg
  * Added the pub 4096R/26F8E116 key to keyring
      2016-04-11 Thomas Vincent <thomas.vincent@esrf.fr>
  * d/control
    - Build-Depends
      + Added pandoc
    - Removed obsolete X-Python[3]-Version
  * d/rules
    - Installed the QtDesgigner files only for Qt5.
    - Override dh_python3 to deal with qtdesigner files.
    - Run sphinx with xvfb in order to have the right silx.sx documentation.
    - Avoid QT warnings by setting XDG_RUNTIME_DIR

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Jul 2018 16:24:57 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                ipython-qtconsole,
                ipython3,
                ipython3-qtconsole,
+	       pandoc <!nodoc>,
                python-all-dbg,
                python-all-dev,
                python-concurrent.futures,
@@ -80,8 +81,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.4
 
 Package: silx
 Architecture: all

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
pgpsigurlmangle=s/$/.asc/,\
dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/s/@PACKAGE@/ \
 @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## silx 0.9.0%2Bdfsg

=== debian/changelog ===
silx (0.9.0+dfsg-3+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * python{,3}-silx: Add dependency on python{,3}-scipy.  (Closes: #954352)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Jan 2021 10:41:21 +0100

silx (0.9.0+dfsg-3) unstable; urgency=medium

  * d/rules: Do not run Qt test for now.
  * d/t/control.autodep8: Fixed to run test for real.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 21 Feb 2019 11:22:03 +0100

silx (0.9.0+dfsg-2) unstable; urgency=medium

  * d/patches:
    + 0004-fix-FTBFS-with-numpy-0.16.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Dec 2018 16:21:18 +0100

silx (0.9.0+dfsg-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Fixed autopkgtests and use control.autodep8
  * Used salsa-ci for continuous integration.
  * Run autopkgtests via xvfb-run
  * d/control: Removed Build-Depends: python-lxml[-dbg], python-enum34.

  [ Alexandre Marie ]
  * New upstream version 0.9.0+dfsg
  * d/watch: uversionmangling to deal with rc|alpha|beta versions.

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Mon, 17 Dec 2018 13:25:52 +0100

## silx 0.9.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 --trusted-host www.silx.org
 --find-links http://www.silx.org/pub/wheelhouse/
---only-binary numpy,h5py,scipy,PyQt4,PyQt5,PySide
+--only-binary numpy,h5py,scipy,PyQt4,PyQt5
 
 numpy >= 1.8
+fabio >= 0.7
+h5py
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
-fabio >= 0.7              # For silx.io
-h5py                      # For silx.io
-pyopencl                  # For silx.opencl
+pyopencl; platform_machine in "i386, x86_64"  # For silx.opencl
 Mako                      # For pyopencl reduction
 qtconsole                 # For silx.gui.console
 matplotlib >= 1.2.0       # For silx.gui.plot
@@ -17,7 +17,7 @@
 Pillow                    # For silx.opencl.image.test
 python-dateutil           # For silx.gui.plot
 
-# PyQt4, PyQt5 or PySide  # For silx.gui
+# PyQt5, PySide2 or PyQt4 # For silx.gui
 # Try to install a Qt binding from a wheel
 # This is no available for all configurations

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: silx
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+           Picca Frédéric-Emmanuel <picca@debian.org>,
+           Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
 Section: science
 Priority: optional
 Build-Depends: cython (>= 0.23.2),
@@ -19,13 +20,10 @@
                python-all-dbg,
                python-all-dev,
                python-concurrent.futures,
-               python-enum34,
                python-fabio,
                python-fabio-dbg,
                python-h5py,
                python-h5py-dbg,
-               python-lxml,
-               python-lxml-dbg,
                python-mako,
                python-matplotlib,
                python-matplotlib-dbg,
@@ -113,7 +111,7 @@
 Package: python-silx
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-scipy,
 Description: Toolbox for X-Ray data analysis - Python2 library
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis
@@ -179,7 +177,7 @@
 Package: python3-silx
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-scipy,
 Description: Toolbox for X-Ray data analysis - Python3
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
 
+# avoir bbuild FTBFS
+export HOME=$(CURDIR)/debian/tmp-home
+export XDG_RUNTIME_DIR=$(HOME)/runtime
+export POCL_CACHE_DIR=$(HOME)/.cache/
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export POCL_CACHE_DIR=$(CURDIR)/.cache/
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 export PYBUILD_NAME=silx
 export SPECFILE_USE_GNU_SOURCE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Make does not offer a recursive wildcard function, so here's one:
 rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))
@@ -28,7 +34,6 @@
 	rm -rf doc/build/html
 	rm -rf build/man
 	rm -rf *.egg-info
-	rm -rf $(POCL_CACHE_DIR)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -47,9 +52,13 @@
 	dh_install -p silx package/desktop/silx.xml usr/share/mime/packages
 
 	# install the qtdesigner files only for the python3 package
-	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/qt4/plugins/designer/python
+	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python
 
 	dh_install
+
+override_dh_python3:
+	dh_python3
+	dh_python3 -p python3-silx /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python
 
 # WITH_QT_TEST=False to disable graphical tests
 # SILX_OPENCL=False to disable OpenCL tests
@@ -67,8 +76,9 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
-	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
+	#mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
+	mkdir -p -m 700 $(XDG_RUNTIME_DIR)
+	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m sphinx -N -bhtml source build/html"
 	dh_installdocs "doc/build/html" -p python-silx-doc
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
